@charset "UTF-8";

.module-vasttrafik__departures-table {
  & > thead {
    text-align: center;
    font-size: 15px;
    line-height: 25px;

    & > tr > th {
      font-weight: 500;
    }
  }
}

.departure {
  &:nth-child(odd) {
    background-color: rgba(97, 97, 97, 0.8);
  }

  &__line {
    flex: 1 0 20%;
    padding: 5px;
    text-align: center;
    max-width: 50px;

    &--none {
      color: #FFFFFF;
      background-color: #F44336;
    }
  }

  &__direction {
    padding-left: 5px;
    line-height: 28px;
    vertical-align: middle;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
  }

  &__track,
  &__next,
  &__thereafter {
    padding: 5px;
    text-align: center;
    min-width: 30px;
    max-width: 50px;
  }

  &__thereafter--none::before {
    content: '-';
    vertical-align: middle;
  }
}

.vasttrafik-spinner {
  position: relative;
  height: 0;
  width: 0;
  padding: 50px 0;
  border-radius: 50%;

  &::before,
  &::after {
    content: '';
    position: absolute;
    top: 0;
    height: 50px;
    width: 50px;
    border-radius: 50%;
  }

  &::before {
    background-image: url('public/vasttrafik-logo.svg');
    background-repeat: no-repeat;
    background-size: 30px;
    background-position: center;
    z-index: 1;
  }

  &::after {
    top: -4px;
    left: -4px;
    border: 4px solid transparent;
    border-top-color: #999999;
    border-bottom-color: #999999;
    animation: vasttrafik-spinner 1s linear infinite;
    z-index: 0;
  }
}

@keyframes vasttrafik-spinner {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(359deg);
  }
}
